Subject: Re: bug#11680: flyspell should use mouse-3 instead of mouse-2

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2019 21:07:44 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 01 Nov 2019 19:21:35 +0100
> Cc: [email-masked]
> 
> > This makes sense because it's a context menu which is mouse-3 in
> > modern UIs.
> >
> > See Stefan's answer here:
> > http://stackoverflow.com/questions/10973000/emacs-23-4-mouse-2-behaviour-on-os-x-10-7
> 
> So Stefan writes at the link: "Rather flyspell needs to be fixed to
> pop up its menu on mouse-3 since it's really more like a context
> menu. I.e. I recommend a M-x report-emacs-bug about it."
> 
> I agree with this.  Any objections to the attached patch?

This would be a backward-incompatible change, so we cannot just change
it because someone asked for that.  I, for example, use that menu on
mouse-2 all the time.